cURL
curl --request POST \
--url https://api.openpipe.ai/api/v1/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestedAt": 123,
"receivedAt": 123,
"reqPayload": "<unknown>",
"respPayload": "<unknown>",
"statusCode": 123,
"errorMessage": "<string>",
"tags": {}
}
'import requests
url = "https://api.openpipe.ai/api/v1/report"
payload = {
"requestedAt": 123,
"receivedAt": 123,
"reqPayload": "<unknown>",
"respPayload": "<unknown>",
"statusCode": 123,
"errorMessage": "<string>",
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestedAt: 123,
receivedAt: 123,
reqPayload: '<unknown>',
respPayload: '<unknown>',
statusCode: 123,
errorMessage: '<string>',
tags: {}
})
};
fetch('https://api.openpipe.ai/api/v1/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Logs
Report
Record request logs from OpenAI models
POST
/
report
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unix timestamp in milliseconds
Unix timestamp in milliseconds
JSON-encoded request payload
JSON-encoded response payload
HTTP status code of response
User-friendly error message
DEPRECATED: use "reqPayload.metadata" to attach extra metadata tags to the call for filtering. Eg { "userId": "123", "prompt_id": "populate-title" }
Show child attributes
Show child attributes
Response
Successful response
Available options:
ok ⌘I